Summary:        A screenshot utility for GNOME
Name:           gnome-screenshot
Version:        41.0
Release:        3%{?dist}
License:        GPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-screenshot
Source0:        https://download.gnome.org/sources/gnome-screenshot/41/gnome-screenshot-%{version}.tar.xz
Patch3000:      57.patch

BuildRequires:  meson gcc
BuildRequires:  gettext libappstream-glib-devel
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3) pkgconfig(libhandy-1)
BuildRequires:  pkgconfig(x11) pkgconfig(xext) /usr/bin/desktop-file-validate

%description
This package provides screen capture capabilities.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Screenshot.desktop


%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-screenshot
%{_datadir}/metainfo/org.gnome.Screenshot.metainfo.xml
%{_datadir}/applications/org.gnome.Screenshot.desktop
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Screenshot.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Screenshot-symbolic.svg
%{_mandir}/man1/gnome-screenshot.1*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 41.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 41.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Wang Guodong <gordonwwang@tencent.com> - 41.0-1
- initial build
